org.jCharts.axisChart

## Class BarChart

- java.lang.Object
- - org.jCharts.axisChart.BarChart

-     abstract class BarChart
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BarChart()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static float` | `computeScaleHeightOfValue(double value, double oneUnitPixelSize)` Takes a value and determines the number of pixels it should fill on the screen.
    `private static void` | `horizontalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, BarChartProperties barChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float startingX)`
    `(package private) static void` | `render(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet)` Draws the chart uses Rectangle2D......keep having rounding problems.
    `private static void` | `verticalPlot(AxisChart axisChart, IAxisChartDataSet iAxisChartDataSet, BarChartProperties barChartProperties, DataAxisProperties dataAxisProperties, Graphics2D g2d, Rectangle2D.Float rectangle, float startingY)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BarChart

          BarChart()

  - ### Method Detail

    - #### render

          static void render(AxisChart axisChart,
                             IAxisChartDataSet iAxisChartDataSet)

      Draws the chart uses Rectangle2D......keep having rounding problems.
      Parameters:
        `axisChart` -
        `iAxisChartDataSet` -

    - #### horizontalPlot

          private static void horizontalPlot(AxisChart axisChart,
                                             IAxisChartDataSet iAxisChartDataSet,
                                             BarChartProperties barChartProperties,
                                             DataAxisProperties dataAxisProperties,
                                             Graphics2D g2d,
                                             Rectangle2D.Float rectangle,
                                             float startingX)

      Parameters:
        `axisChart` -
        `iAxisChartDataSet` -
        `barChartProperties` -
        `dataAxisProperties` -
        `g2d` -
        `rectangle` -
        `startingX` -

    - #### verticalPlot

          private static void verticalPlot(AxisChart axisChart,
                                           IAxisChartDataSet iAxisChartDataSet,
                                           BarChartProperties barChartProperties,
                                           DataAxisProperties dataAxisProperties,
                                           Graphics2D g2d,
                                           Rectangle2D.Float rectangle,
                                           float startingY)

      Parameters:
        `axisChart` -
        `iAxisChartDataSet` -
        `barChartProperties` -
        `dataAxisProperties` -
        `g2d` -
        `rectangle` -
        `startingY` -

    - #### computeScaleHeightOfValue

          static float computeScaleHeightOfValue(double value,
                                                 double oneUnitPixelSize)

      Takes a value and determines the number of pixels it should fill on the screen. If there is a user defined scale and the passed value is greater than the MAX or less than the MIN, the height will be forced to the MAX or MIN respectively.
      Parameters:
        `value` -
        `oneUnitPixelSize` -
      Returns:
        float the screen pixel coordinate